// einbinden der Bibliotheken zum verarbeiten
// von JSON
#include <Arduino_JSON.h>

void setup() {
  // beginn der seriellen Kommunikation mit 9600 baud
  Serial.begin(9600);
  Serial1.begin(9600);
}

void loop() {
  while (Serial1.available() > 0) {
    String data = Serial1.readString();
    Serial.println(data);

    // initialisieren eines JSONVar Objektes
    // mit den verarbeiteten JSON Daten
    JSONVar jsonVar = JSON.parse(data);

    // prüfen ob es ein Key mit der Bezeichnung "vorname" gibt.
    if (jsonVar.hasOwnProperty("vorname")) {
      // Ausgeben der Zeichenkette "vorname:" auf der seriellen Schnittstelle
      Serial.print("vorname:");
      // Ausgeben des Wertes zum Key
      Serial.println(jsonVar["vorname"]);
    }

    if (jsonVar.hasOwnProperty("nachname")) {
      Serial.print("nachname:");
      Serial.println(jsonVar["nachname"]);
    }

    if (jsonVar.hasOwnProperty("alter")) {
      Serial.print("alter:");
      Serial.println(jsonVar["alter"]);
    }
  }
}
